curl --request DELETE \
--url https://api.platform.dakota.xyz/applications/{application_id}/associated-individuals/{individual_id} \
--header 'X-Application-Token: <api-key>'const options = {method: 'DELETE', headers: {'X-Application-Token': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/applications/{application_id}/associated-individuals/{individual_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/applications/{application_id}/associated-individuals/{individual_id}"
headers = {"X-Application-Token": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/applications/{application_id}/associated-individuals/{individual_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Application-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid request or cannot remove last individual",
"status": 400,
"detail": "Invalid request or cannot remove last individual",
"instance": "https://api.platform.dakota.xyz/applications/example-id/associated-individuals/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/applications/example-id/associated-individuals/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Application not in pending state or forbidden",
"status": 403,
"detail": "Application not in pending state or forbidden",
"instance": "https://api.platform.dakota.xyz/applications/example-id/associated-individuals/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Application or individual not found",
"status": 404,
"detail": "Application or individual not found",
"instance": "https://api.platform.dakota.xyz/applications/example-id/associated-individuals/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Remove associated individual from business application
Removes an associated individual from a business application. Can only be called when the application status is āpendingā. At least one individual must remain on the application.
curl --request DELETE \
--url https://api.platform.dakota.xyz/applications/{application_id}/associated-individuals/{individual_id} \
--header 'X-Application-Token: <api-key>'const options = {method: 'DELETE', headers: {'X-Application-Token': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/applications/{application_id}/associated-individuals/{individual_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/applications/{application_id}/associated-individuals/{individual_id}"
headers = {"X-Application-Token": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/applications/{application_id}/associated-individuals/{individual_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-Application-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid request or cannot remove last individual",
"status": 400,
"detail": "Invalid request or cannot remove last individual",
"instance": "https://api.platform.dakota.xyz/applications/example-id/associated-individuals/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/applications/example-id/associated-individuals/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Application not in pending state or forbidden",
"status": 403,
"detail": "Application not in pending state or forbidden",
"instance": "https://api.platform.dakota.xyz/applications/example-id/associated-individuals/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Application or individual not found",
"status": 404,
"detail": "Application or individual not found",
"instance": "https://api.platform.dakota.xyz/applications/example-id/associated-individuals/example-id",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}Authorizations
Application-specific token for public URL access. Generated when a customer is created. Provides access to a single application without requiring an API key. Token is valid for 90 days and rate-limited to 250 requests per hour.
Path Parameters
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
Response
Individual removed successfully
Was this page helpful?

